summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJingbei Li2017-08-04 20:23:46 +0800
committerJingbei Li2017-08-04 20:23:46 +0800
commit3060f57e671a163d5d3b7a35db748299458eae2c (patch)
tree9c25e9819fb03c2cdf5d12a20efa2880a9c2b863
parentc5c1fc72b3bd1e254406cfd03c7b917c173c0ca3 (diff)
downloadaur-3060f57e671a163d5d3b7a35db748299458eae2c.tar.gz
upgraded to 5.0
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD17
2 files changed, 14 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 7823be36225..d53ff443ac2 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,14 @@
# Generated by mksrcinfo v8
-# Tue Jun 13 08:19:50 UTC 2017
+# Fri Aug 4 12:23:42 UTC 2017
pkgbase = openfoam
pkgdesc = The open source CFD toolbox
- pkgver = 4.1
+ pkgver = 5.0
pkgrel = 1
url = http://www.openfoam.org
install = openfoam.install
arch = x86_64
license = GPL
+ makedepends = bash
depends = bzip2
depends = paraview
depends = parmetis
@@ -15,8 +16,8 @@ pkgbase = openfoam
depends = boost
depends = flex
depends = cgal
- source = https://github.com/OpenFOAM/OpenFOAM-4.x/archive/version-4.1.tar.gz
- md5sums = 318a446c4ae6366c7296b61184acd37c
+ source = https://github.com/OpenFOAM/OpenFOAM-5.x/archive/version-5.0.tar.gz
+ md5sums = a46b4e5b56af513ce2e695bd976c5f58
pkgname = openfoam
diff --git a/PKGBUILD b/PKGBUILD
index a6c09fecd03..cc824a6c01f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,18 +7,19 @@ pkgname=openfoam
# The distributors package name
_distpkgname=OpenFOAM
-_gitname=$_distpkgname-4.x
+_gitname=$_distpkgname-5.x
-pkgver=4.1
+pkgver=5.0
pkgrel=1
pkgdesc="The open source CFD toolbox"
arch=('x86_64')
url="http://www.openfoam.org"
license=("GPL")
depends=('bzip2' 'paraview' 'parmetis' 'scotch' 'boost' 'flex' 'cgal')
+makedepends=('bash')
source=("https://github.com/OpenFOAM/$_gitname/archive/version-$pkgver.tar.gz")
install="${pkgname}.install"
-md5sums=('318a446c4ae6366c7296b61184acd37c')
+md5sums=('a46b4e5b56af513ce2e695bd976c5f58')
prepare() {
mv $srcdir/$_gitname-version-$pkgver $srcdir/$_distpkgname-$pkgver
@@ -39,23 +40,23 @@ prepare() {
echo "export SCOTCH_VERSION=scotch_${_sversion}" > ${srcdir}/scotch.sh
echo "export SCOTCH_ARCH_PATH=/usr" >> ${srcdir}/scotch.sh
cp ${srcdir}/scotch.sh ${srcdir}/${_distpkgname}-${pkgver}/etc/config #|| return 1
-
- sed '35a#include "CGAL/number_utils.h"' -i $srcdir/$_distpkgname-$pkgver/applications/utilities/mesh/generation/foamyMesh/foamyQuadMesh/CGALTriangulation2DKernel.H
}
build() {
# Setup the build environment
export FOAM_INST_DIR=${srcdir}
foamDotFile=${srcdir}/${_distpkgname}-${pkgver}/etc/bashrc
- [ -f ${foamDotFile} ] && . ${foamDotFile} #|| return 1
+ echo $foamDotFile
+ [ -f ${foamDotFile} ] || return 1
+ bash -c "source ${foamDotFile}
# Enter build directory
- cd ${srcdir}/${_distpkgname}-${pkgver} #|| return 1
+ cd ${srcdir}/${_distpkgname}-${pkgver}
# Build and clean up OpenFOAM
./Allwmake || return 1
wclean all || return 1
- wmakeLnIncludeAll || return 1
+ wmakeLnIncludeAll || return 1"
}
package() {